@media(max-width:1440px) {
    .font-100 {
        font-size: 80px;
        line-height: 80px;
    }

    .font-78 {
        font-size: 70px;
    }

    .font-80 {
        font-size: 70px;
    }

    .homepage-Products .product-grid .product-card {
        min-height: 450px;
    }

    .map img {
        width: 100%;
    }

    .item h3 {
        left: 55px;
    }

    .characteristics-box h3 {
        font-size: 22px;
    }

    .homepage-Products .product-grid .product-card-title {
        font-size: 22px;
    }

    .homepage-Products .product-grid .product-card-info {
        bottom: 0;
    }
}

@media(max-width:768px) {
    .logo {
        height: 38px;
    }

    .nav-btn {

        display: none;

    }

    .offcanvas.show:not(.hiding),
    .offcanvas.showing {
        width: 70%;
        top: 14%;
    }

    .map img {
        width: 100%;
    }

    .page-banner {
        background-position: left;
        height: 280px;
        min-height: auto;
    }

    .banner-content h1 {
        font-size: 36px;
        line-height: 40px;
    }

    .navbar-nav {
        left: 0%;
    }

    .navbar-nav li a {
        line-height: 26px;
        font-size: 14px;
    }

    .banner-content {
        top: 38%;
    }

    .sub-menu {
        margin: -8px 0 12px 0;
    }

    .sub-menu li a {
        font-size: 12px;
    }

    .company-name {
        font-size: 20px;
    }

    .contact-section .section-title {
        margin-bottom: 20px;
    }

    .form-title {
        font-size: 20px;
        margin: 40px 0 20px 0;
    }

    .form-control {
        height: 42px;
    }

    .contact-section form .mb-4 {
        margin-bottom: 16px !important;
    }

    .footer-line {
        margin-top: 40px;
    }

    .section-map {
        padding: 40px 0;
    }

    .padding-left-48 {
        padding-left: 15px;
    }

    .padding-left-24 {
        padding-left: 15px;
    }

    .footer hr {
        margin: 20px 0 20px;
    }

    .about-section {
        padding: 40px 0;
    }

    .philosophy-section {
        padding: 40px 0;
    }

    .philosophy-section .section-title {
        margin-bottom: 20px !important;
    }

    .philosophy-item h3 {
        font-size: 20px;
        margin-bottom: 12px;
    }

    .design-tool-section {
        padding-top: 40px;
    }

    .dynamax-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .catalog-section {
        padding: 40px 0;
    }

    .catalog-grid {
        width: 100%;
        grid-template-columns: repeat(1, minmax(100%, 1fr));
    }

    .Products-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .guide-text {
        white-space: normal;
    }

    .Products-list-header {
        margin-bottom: 20px;
    }

    .guide-button {
        margin-left: 0;
    }

    .Products-list-section {
        padding-top: 40px;
    }

    .product-series {
        padding: 40px 0;
    }

    #feature {
        margin-top: 40px;
    }

    #feature,
    #overview {
        padding: 0 15px;
    }

    .carousel-item {
        height: auto;
    }

    .support-grid {
        grid-template-columns: repeat(1, 1fr);
    }

    .support-center-section {
        padding: 40px 20px;
        margin-bottom: 40px;
    }

    .support-card-title {
        text-align: left;
        font-size: 20px;
    }

    .support-card-small {
        grid-column: span 3;
    }

    .support-header {
        margin-bottom: 30px;
    }

    .table-responsive-custom {
        width: 100%;
        overflow-x: auto;
        -webkit-overflow-scrolling: touch;
    }

    .table-responsive-custom table {
        min-width: 900px;
        /* Adjust based on your table width */
        width: 100%;
        border-collapse: collapse;
    }

    /* Optional: Custom Scrollbar */
    .table-responsive-custom::-webkit-scrollbar {
        height: 8px;
    }

    .table-responsive-custom::-webkit-scrollbar-track {
        background: #f1f1f1;
    }

    .table-responsive-custom::-webkit-scrollbar-thumb {
        background: #999;
        border-radius: 10px;
    }

    .table-responsive-custom::-webkit-scrollbar-thumb:hover {
        background: #666;
    }

    .sub-item h4 {
        font-size: 16px;
    }

    .nav-contain {
        top: 100px;
        margin-bottom: 20px;
    }

    .product-series .carousel-indicators {
        margin-bottom: 10px;
    }

    .product-series h2 {
        font-size: 26px;
    }

    .application-section .section-title.mb-5 {
        margin-bottom: 20px !important;
    }

    .contact-section {
        padding: 40px 0 0 0;
    }

    .video-section {
        padding: 40px 0;
    }

    .catalog-desc {
        margin-bottom: 20px !important;
    }

    .video-grid {
        grid-template-columns: repeat(1, 1fr);
        gap: 20px;
    }

    .video-section-alt {
        padding-bottom: 40px;
    }

}

@media(max-width:767px) {
    .product-tabs {
        display: contents;
    }

    .footer {
        padding: 40px 0 20px;
    }

    .footer-contact p,
    .footer-links a {
        font-size: 15px;
    }

    .footer h5 {
        margin-top: 20px;
    }

    .section-title {
        font-size: 26px;

    }

    .product-section .section-title {
        margin-bottom: 12px;
    }

    .about-content {
        padding: 30px 25px;
        width: 100%;
    }

    .homepage-Products .product-grid {
        display: block;
    }

    .homepage-Products .product-grid .product-card {
        margin: 15px;
    }

    .characteristics-box {
        padding: 40px 0 0 0;
    }

    #Productslider {
        height: auto;
    }

    .font-100 {
        font-size: 40px;
        line-height: 40px;
    }

    .font-80 {
        font-size: 40px;
        line-height: 40px;
    }

    .font-78 {
        font-size: 40px;
        line-height: 40px;
    }

    .font-40 {
        font-size: 22px;
        line-height: 26px;
    }

    .banner-four {
        margin-bottom: 0;
        margin-top: 0;
    }

    .banner-three {
        margin-bottom: 0;
        margin-top: 0;
    }

    .feature-box {
        padding-left: 0;
        border: none;
    }

    .why-us {
        padding-top: 40px;
    }

    .why-us .dark-blue-bg {
        padding-bottom: 30px;
    }

    .product-section {
        padding: 40px 0 0 0;
    }

    .carousel {
        padding: 0;
    }

    .product-img {
        max-width: 220px;
        margin: 20px 0 10px 0;
    }

    .product-slider {
        padding: 20px 0;
        height: 480px;
    }

    .item:hover {
        width: 100%;
    }

    .content {
        left: 20px;
        bottom: 20px;
    }

    .item h3 {
        left: 8px;
        bottom: 8px;
    }

    .item h3 {
        font-size: 12px;
    }

    .content h2 {
        font-size: 12px;
    }

    .carousel-indicators [data-bs-target] {
        margin-right: 6px;
        margin-left: 6px;
    }

    .product-slider span br {
        display: none;
    }

    .title {
        display: grid;
        padding: 20px 0 10px 0;
    }

    .feature-box li {
        font-size: 16px;
        margin-bottom: 0;
    }

    .carousel-indicators {
        top: 430px;
    }

    .carousel img {
        max-height: 150px;
    }

    .display-none-mobile {
        display: none;
    }

    .display-none-desktop {
        display: block;
    }

    .left-content.animate .line {
        animation: none;
    }

    .line {
        transform: scaleX(1);
    }

    .left-content.animate {
        animation: none;
    }

    .left-content {
        opacity: 1;
        transform: none;
    }

    .right-content.animate {
        animation: none;
    }

    .right-content {
        opacity: 1;
        transform: none;
    }

    .characteristics-box img {
        margin: 0 auto 20px;
        max-width: 80px;
    }

    .application-tabs .nav-link {
        padding: 8px 24px;
        font-size: 12px;
    }

    .application-tabs {
        gap: 8px;
    }

    .tab-content {
        margin-top: 20px !important;
    }

    .gallery-section-mobile {
        padding: 40px 10px;
    }

    .applied-industries-content h3 {
        color: #0C3C6C;
        font-size: 14px;
        margin-top: 8px;
        margin-bottom: 16px;
    }

}

@media(max-width:576px) {
    .view-all {
        font-size: 13px;
    }

    .product-card {
        padding: 22px;
    }

    .about-content p {
        font-size: 16px;
        line-height: 1.8;
    }

    .btn-read {
        width: 100%;
        text-align: center;
    }
}